using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialCodeProgress
    {
        public FmsMaterialCodeProgress()
        {
            FmsMaterialPurchaseRequest = new HashSet<FmsMaterialPurchaseRequest>();
        }

        [Key]
        public short ProgressId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(100)]
        public string Description { get; set; }

        [InverseProperty("Progress")]
        public virtual ICollection<FmsMaterialPurchaseRequest> FmsMaterialPurchaseRequest { get; set; }
    }
}
